% to be removed when curve() works
variable bbx, bby; define curve () {(bbx,bby)=();()=chips_eval("curve x Global->bbx y Global->bby");}

          %
          % label_plot( xlabel, ylabel, title )
          % adds the three strings as labels to the current plot
          %
          define label_plot(xlabel,ylabel,title) {
            () = chips_eval( "xlabel '" + xlabel + "'" );
            () = chips_eval( "ylabel '" + ylabel + "'" );
            () = chips_eval( "title  '" + title + "'" );
            
          } % label_plot()
        
          % lcurve("lcurve.fits") plots up the TIME and RATE
          % columns of the file lcurve.fits
          %
          define lcurve (filename) {
            % read in data - check we got some
            variable lc = readfile(filename);
            if ( lc == NULL ) {
              error( "lcurve() unable to read data from " + filename );
             }
        
            % assume the TIME and RATE fields exist
            % really should check for this using e.g. get_struct_field_names()
            variable time = get_struct_field( lc, "TIME" );
            variable rate = get_struct_field( lc, "RATE" );
        
            % use the filename as the title for the header - protect any
            % '_' in it or else the next character will become a subscript
            variable title;
            ( title, ) = strreplace( filename, "_", "\\_", strlen(filename) );
        
            % plot the curve - set redraw to off to stop flickering
            () = chips_eval( "redraw off" );
            () = chips_eval( "clear" );
            curve( time, rate );
            () = chips_eval( "step" ); % plot as a "histogram"
            () = chips_eval( "symbol none" );
            label_plot( "Time (s)", "Rate (/s)",
                  "Lightcurve for: " + title );
            () = chips_eval( "redraw on" );
        
          } % lcurve()
