          define threshold (x,y,thresh) {
            % find the position of those elements in x which are > thresh
            % (assuming x and y are 1D and the same size)
            %
            variable i = where( x > thresh );

            % if there are no elements, then return two NULL values,
            % otherwise return the requested elements
            %
            if ( length(i) == 0 ) {
              return ( NULL, NULL );
            } else {
              return( x[i], y[i] );
            }
          } % threshold
